program f2003_test_02

  use, intrinsic :: ieee_arithmetic

  implicit none

  type(ieee_round_type) :: round_val

  call ieee_get_rounding_mode(round_val)

  if (round_val == ieee_nearest) &
       print *, 'rounds the exact result to the nearest representable value'
  if (round_val == ieee_to_zero) &
       print *, 'rounds the exact result towards zero to the next representable value'
  if (round_val == ieee_up) &
       print *, 'rounds the exact result towards +infinity to the next representable value'
  if (round_val == ieee_down) &
       print *, 'rounds the exact result towards -infinity to the next representable value'
  if (round_val == ieee_other) &
       print *, 'unknown - rounding mode does not conform to IEEE 754-1985'
  
end program f2003_test_02
